Creates a new territory

Request Information

URI Parameters :

None.

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "cc48a338-354a-4066-9b30-2fe2bd7137c1",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "0a7a0caa-654e-4707-a4c4-14f0ad25725a",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "949f17bb-6be2-4e10-9acf-bb8d661fc0cd",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "39760db5-3a9f-479d-b8e1-dbbc93ac1122",
    "db_currency_id": "d7740e59-9470-424d-a422-37e2f08d3478",
    "db_language_id": "154033be-64d0-4b19-b2bc-2d2a96b269e8",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-08-12T01:47:21.6429034+00:00"
  },
  "modified_dateutc": "2026-08-12T01:47:21.6429034+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.